Aller au contenu principal
Sujet: plusieurs paquets à installer mais une grande quantité de paquets à désinstaller (Lu 112 fois) sujet précédent - sujet suivant

plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Bonjour,

Voici mes dépôts actuellement:
---+---------------------------------------+---------------------------------------------------------------------------------------------+--------+------------------+-----------
 1 | Google-Chrome                         | Google-Chrome                                                                               | Oui    | (r ) Oui         | Non
 2 | KDE_Applications_openSUSE_Leap_15.3   | KDE:Extra.repo                                                                              | Oui    | (r ) Oui         | Oui
 3 | KDE_Frameworks5_openSUSE_Leap_15.3    | KDE:Applications.repo                                                                       | Oui    | (r ) Oui         | Oui
 4 | download.nvidia.com-$releasever       | nVidia Graphics Drivers                                                                     | Oui    | (r ) Oui         | Oui
 5 | ftp.gwdg.de-openSUSE_Leap_$releasever | Packman Repository                                                                          | Oui    | (r ) Oui         | Oui
 6 | google-chrome                         | google-chrome                                                                               | Oui    | (r ) Oui         | Oui
 7 | openSUSE-Leap-15.3-1                  | openSUSE-Leap-15.3-1                                                                        | Non    | ----             | ----
 8 | openSUSE_Leap_15.3                    | KDE:Frameworks5.repo                                                                        | Oui    | (r ) Oui         | Oui
 9 | openSUSE_Leap_15.3_1                  | KDE:Qt5.repo                                                                                | Oui    | (r ) Oui         | Oui
10 | openSUSE_Leap_15.3_2                  | mozilla.repo                                                                                | Oui    | (r ) Oui         | Oui
11 | openSUSE_Leap_15.3_3                  | Enlightenment:Factory.repo                                                                  | Oui    | (r ) Oui         | Oui
12 | openSUSE_Leap_15.3_4                  | xfce.repo                                                                                   | Oui    | (r ) Oui         | Oui
13 | repo-backports-debug-update           | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Non    | ----             | ----
14 | repo-backports-update                 | Update repository of openSUSE Backports                                                     | Oui    | (r ) Oui         | Oui
15 | repo-debug                            | Debug Repository                                                                            | Non    | ----             | ----
16 | repo-debug-non-oss                    | Debug Repository (Non-OSS)                                                                  | Non    | ----             | ----
17 | repo-debug-update                     | Update Repository (Debug)                                                                   | Non    | ----             | ----
18 | repo-debug-update-non-oss             | Update Repository (Debug, Non-OSS)                                                          | Non    | ----             | ----
19 | repo-non-oss                          | Non-OSS Repository                                                                          | Oui    | (r ) Oui         | Oui
20 | repo-oss                              | Main Repository                                                                             | Oui    | (r ) Oui         | Oui
21 | repo-sle-update                       | Update repository with updates from SUSE Linux Enterprise 15                                | Oui    | (r ) Oui         | Oui
22 | repo-source                           | Source Repository                                                                           | Non    | ----             | ----
23 | repo-update                           | Main Update Repository                                                                      | Oui    | (r ) Oui         | Oui
24 | repo-update-non-oss                   | Update Repository (Non-Oss)                                                                 | Oui    | (r ) Oui         | Oui


Je reçois une alerte pour des mises à jour de sécurité que je ne peux installer:
SUSE-2021-931 1
SUSE-2021-1499 1
SUSE-2021-1917 1
SUSE-2021-1926 1
SUSE-2021-1914 1
SUSE-2021-1897 1
SUSE-2021-3129 1
SUSE-2021-1200 1
SUSE-2021-1569 1
SUSE-2021-1948 1
SUSE-2021-1937 1
SUSE-2021-1941 1
SUSE-2021-1944 1

Que dois-je faire par rapport à ma configuration?
Merci d'avance pour une éventuelle solution.

Cordialement

Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #1
je suis allé trop vite. J'ai créé un doublon avec le sujet précédent

Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #2
Bonjour,
je suis allé trop vite. J'ai créé un doublon avec le sujet précédent
C'est à dire ?

Je ne saurais pas te conseiller en voyant les dépôts externes que tu utilises. A mon avis, tu devrais utiliser console et zypper
normalement zypper up mais avec ces dépôts kde/framework..., je ne sais pas si ça change quelque chose.
Tu as fait quoi exactement ?
un
zypper dup --allow-vendor-change
?

Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #3
un peu compliqué tes dépôts.  Il existe donc des conflits dans tes dépôts. Ils te sont tous utiles? Tu as des doublons,des dépôts qui ne servent plus à rien. par contre,tu aurais pu rajouter le dépôt communautaire backport. Donc passe par zypper ou yast comme te le préconise chalu. Si tous tes dépôts ont la même priorité, la commande que te donne chalu te fera en principe une mise à jour optimale. Les patchs de sécurité, c'est l'applet de maj qui te les donne, n'en tiens pas compte. tous le habitués d'opensuse le désactivent ou le virent.


Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #4
J'ai simplement rajouté les dépôts pour KDE, xfce, Mozilla, Packman, Enlightenment et Google-chrome.
Tous les autres dépôts ont été créés lors de l'installation de la Leap 15.3.

Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #5
Bonsoir,

Comme te l'explique jtro, les alertes pour des mises à jour de sécurité que tu reçois proviennent de l'applet de mise à jour de KDE. Cette applet dépend de Discover qui bogue (Discover signale faussement un défaut de connexion à internet). Juste après la mise la mise à niveau chez moi, elle voulait mettre à jour LibreOffice... mais elle n'y parvenait pas. Pareil ensuite avec de prétendues mises à jour de sécurité, en moins grand nombre que pour toi, une ou deux peut-être avant que je ne réagisse car ces mises à jour n'étaient bien sûr pas installables. Il faut désactiver cet applet qui sème la confusion pour le moment.

Pour tes dépôts, les officiels d'auparavant ainsi que deux nouveaux tout aussi officiels sont en place (même les backports jtro). À savoir :

-oss
-non oss
-update
-update non oss
-update sle
-update backports

Nvidia si tu as une carte graphique Nvidia et Packman, normal de les ajouter. Par contre le dépôt Google-Chrome est en double.

Je note un dépôt Enlightenment:Factory.repo qui est un dépôt expérimental pour Leap 15.3 (https://software.opensuse.org/package/enlightenment). Afin d'obtenir Enlightenment 0.24.2 je pense. Je n'ai pas ce dépôt mais si je fais une recherche sur Enlightenment dans Yast-Software,  j'ai un paquet Enlightenment 0.24.2 provenant d'un dépôt officiel openSUSE. Qu'est-ce qui se passe? Eh bien certaines choses ne sont visiblement pas encore à jour quand on fait une recherche sur https://software.opensuse.org/explore. Donc à priori et pour résumer, un dépôt supplémentaire inutile.

Pour les autres dépôts, notamment KDE, j'espère que tu as fait un peu de lecture, du genre : https://en.opensuse.org/SDB:KDE_repositories. Il y est quand même question de modifier les priorités en plus d'ajouter simplement des dépôts.

Au fait, ton titre et le contenu de ton premier message ne correspondent pas : À quel moment est-il question d'une grande quantité de paquets à désinstaller?

 

Re : plusieurs paquets à installer mais une grande quantité de paquets à désinstaller

Répondre #6
Et tu as installé beaucoup de paquets en provenance de ces dépôts externes ?
Quelles actions veut faire zypper up ?